<script setup lang="ts">
import FontAwesomeIcon from "@/components/FontAwesomeIcon.vue";
import { onMounted } from "vue";
import { Tooltip } from "bootstrap";

const props = defineProps<{
  disabled?: boolean;
}>();

const emit = defineEmits<{
  (e: "click-review"): void;
  (e: "click-refresh"): void;
}>();
const randomIDSuffix = Math.random().toString(16).substring(2, 8);

onMounted(() => {
  new Tooltip("#refresh-s3-" + randomIDSuffix);
});
</script>

<template>
  <div class="btn-group" role="group">
    <button
      type="button"
      class="btn btn-primary"
      :disabled="props.disabled"
      @click="emit('click-review')"
    >
      Request Review
    </button>
    <button
      :id="'refresh-s3-' + randomIDSuffix"
      type="button"
      class="btn btn-primary"
      data-bs-toggle="tooltip"
      data-bs-title="Check if uploaded resource is ready"
      @click="emit('click-refresh')"
    >
      <font-awesome-icon icon="fa-solid fa-arrow-rotate-right" />
    </button>
  </div>
</template>

<style scoped></style>
